Create Store

Beta
This endpoint allows you to create a new store for a merchant on a specific account under your franchise.

Authentication

X-Auth-Clientstring
The client ID of the franchise API account.
OR
X-Auth-Tokenstring
An OAuth token generated from the franchise API account. To authenticate, generate an **OAuth Token** (if you donʼt have one or itʼs expired): ```http POST https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/oauth/token Accept: application/json X-Auth-Client: {client_id} X-Auth-Secret: {client_secret} { "duration": 900 } ``` Response: ```json { "access_token": "dlkJcn34...Lkd012", "expires_at": "2018-04-24T16:15:26.509045122Z” } ``` After you generate an **OAuth token**, use the `client_id` and `oauth_token` to authenticate all other API requests: ```http GET https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/accounts/123 Accept: application/json X-Auth-Client: {client_id} X-Auth-Token: {oauth_token} ``` Response: ```json { "data": { "id": "12345678910", "name": "Test Company", ... }, "meta": {} } ```

Path parameters

account_idstringRequired

Request

This endpoint expects an object.
idstringRequired

Associated store id within partner’s system. Must be unique within your franchise.

plan_skustringRequired

Determines the BigCommerce plan (delegated billing) or trial length (non-delegated billing). The allow list for SKUs is configured on your franchise

store_namestringRequired

Initial store name used across the BigCommerce control panel and the merchant’s theme. When a merchant has multiple stores on their account, this name is used to identify each store in the merchant’s store switcher. The name can be updated by the merchant after store creation. The name has a 255 character limit and must be unique to the account.

countrystringRequired
ISO 3166-1 alpha-2 code (i.e., ‘US’). `country` controls the ‘Default Country’ option for the store. For more information, see [Locale](https://support.bigcommerce.com/s/article/Store-Profile-Settings?language=en_US#locale). `country` also influences the ‘Default Language’ for a store. If the country has an associated language that the theme supports, the default language will align with the `country` value. For example, a store created with `country` value of `FR` will have French as the default language. For more information, visit the [Store Profile FAQ](https://support.bigcommerce.com/s/article/Store-Profile-Settings?language=en_US#faq).
regionenumOptional
If no region is provided, the server location where the store is provisioned will default to what BigCommerce has set as the default for your franchise.
Allowed values:
settingsobjectOptional
Object used to send any partner specific settings needed for configuring apps or other dashboard specific settings, such as shipping. These settings must be added to the allow list on your franchise or the request will be rejected.

Response

Accepted
dataobject

Errors

401
Unauthorized Error
409
Conflict Error
422
Unprocessable Entity Error
502
Bad Gateway Error
503
Service Unavailable Error
504
Gateway Timeout Error